rel.cpp File Reference
`#include <gecode/int/rel.hh>`
`#include <gecode/int/bool.hh>`
`#include <algorithm>`

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace

## Functions

void | Gecode::rel (Home home, IntVar x, IntRelType irt, int c, IntPropLevel ipl=IPL_DEF)
| Propagates .
void | Gecode::rel (Home home, const IntVarArgs &x, IntRelType irt, int c, IntPropLevel ipl=IPL_DEF)
| Propagates for all .
void | Gecode::rel (Home home, IntVar x0, IntRelType irt, IntVar x1, IntPropLevel ipl=IPL_DEF)
| Post propagator for .
void | Gecode::rel (Home home, const IntVarArgs &x, IntRelType irt, IntVar y, IntPropLevel ipl=IPL_DEF)
| Post propagator for for all .
void | Gecode::rel (Home home, IntVar x0, IntRelType irt, IntVar x1, Reify r, IntPropLevel ipl=IPL_DEF)
| Post propagator for .
void | Gecode::rel (Home home, IntVar x, IntRelType irt, int c, Reify r, IntPropLevel ipl=IPL_DEF)
| Post propagator for .
void | Gecode::rel (Home home, const IntVarArgs &x, IntRelType irt, IntPropLevel ipl=IPL_DEF)
| Post propagator for relation among elements in x.
void | Gecode::rel (Home home, const IntVarArgs &x, IntRelType irt, const IntVarArgs &y, IntPropLevel ipl=IPL_DEF)
| Post propagator for relation between x and y.
void | Gecode::rel (Home home, const IntVarArgs &x, IntRelType irt, const IntArgs &y, IntPropLevel ipl=IPL_DEF)
| Post propagator for relation between x and y.
void | Gecode::rel (Home home, const IntArgs &x, IntRelType irt, const IntVarArgs &y, IntPropLevel ipl=IPL_DEF)
| Post propagator for relation between x and y.